Component fields
        defaultName :: binary()
        hint :: binary()
        group | groupCode, groupName, backColor
                group :: basic | data | management | messaging | common. Default 'common'.
                groupCode :: binary(),
                groupName :: binary(),
                backColor :: integer()
        scriptType :: Type | [Type] when Type :: binary(). Default undefined, means no filter.
        isRegion :: boolean(). Default false.
        properties :: [Property::map()]

Property fields
        key :: binary().
        type :: binary().
        title :: binary(). Default same as key.
        scriptType :: Type | [Type] when Type :: binary(). Default undefined, means no filter.
        group :: common | request | connect | data | response | undefined | binary(). Default 'common'.
        multiView :: 'key' | binary(). Default false. 'key' means using code same as key.
        default :: 'null' | integer | binary(). Default 'null', means no default value.
        filter :: binary(). Default no filter.
        editor :: boolean(). Default false.

Available property types and specific fields
    transfer
        transferCtrlButton :: integer(). Default 1.
        transferDigitButton :: integer(). Default 1.
        transferTitle :: binary(). Default <<>>.
    string
    text
    interrupt
    cachedlist
        listHashCode :: binary().
        itemViewMode :: binary(). Default <<"string">>.
        itemSaveType :: binary(). Default <<"string">>.
    dynlist
    color
    yesno
    list
        items :: [{Idx,Code}] | [{Idx,Code,Title}] | [{ScriptTypes,Idx,Code,Title}] | [{ScriptTypes,Idx,Code}]
                 when Idx :: integer(), Code::binary(), Title::binary(), ScriptTypes :: [ScriptType::binary()]
                 Title default same as Code, ScriptTypes default undefined, means no filter.
    variable
        varType :: integer(). Default 255.
    argument
        argType :: integer(). Default 255.
        varType :: integer(). Default 255.
    assigns
    menu
        itemType :: [{ColumnName::binary(),Props::map()}] when Props contains type.
    recipient
    sql
    attach
        fileSubDirectory :: binary(). Default <<"static">>.
        fileDescription :: binary().
        fileExtensions :: [Extension::binary()]. Default [].
        fileMimes :: [Mimetype::binary()]. Default [].
    paramskv
    paramsv

 NOTE! non-ascii binary values should be /utf8 (<<"фыва"/utf8>>).